{%extends "base.html"%}
{% load static%}



{%block title%}
Scrumptious Recipe
{%endblock title%}


{%block content%} 

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ recipe_object.title }} -Scrumptious Recipes</title>
    <link rel="stylesheet" href="{% static "css/recipes.css" %}">
</head>
<body>
    <header>

        <nav class="navbar navbar-expand-lg bg-primary" data-bs-theme="dark">
            <div class="container-fluid">
              <a class="navbar-brand" href="#">Navbar</a>
              <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarColor01" aria-controls="navbarColor01" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
              </button>
              <div class="collapse navbar-collapse" id="navbarColor01">
                <ul class="navbar-nav me-auto">
                  {% if user.is_authenticated %}
                  <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
                  </li>
                  <li class="nav-item">
                    <a class="nav-link" href="{% url 'create_recipe' %}">Create Recipe</a>
                  </li>
                  <li>
                    <a class="nav-link" href="{% url "user_logout" %}"> Log out </a>
                  </li>
                    {% else %}
                  <li class="nav-item active">
                    <a class="nav-link active" href="{% url 'recipe_list' %}">Home</a>
                  </li>
                  <li>
                    <a class="nav-link" href="{% url "signup" %}"> Sign up </a>
                  </li>
                  <li>
                    <a class="nav-link" href="{% url "user_login" %}"> Log in </a>
                  </li>
                  {% endif %}
                </ul>
              </div>
            </div>
          </nav>

    </header>
    <main>
        <h1>Edit {{ post_object.title }}</h1>
        <form class="main-form" method="POST">
          {% csrf_token %}
                <fieldset>
                  <div class="form-group row">
                  </div>
                  <div class="form-group">
                    <label for="exampleInputEmail1"  class="form-label mt-4">Recipe Name</label>
                    <input type="text" name="title"  maxlength="200" required id="id_title" class="form-control" placeholder={{post_object.title}} aria-describedby="emailHelp">
                    <small id="emailHelp" class="form-text text-muted">Enter your recipe name</small>
                  </div>
                  <div class="form-group">
                    <label for="exampleInputPassword1" class="form-label mt-4">Image</label>
                    <input type="text" class="form-control" name="picture" maxlength="200" required id="id_picture" placeholder={{post_object.picture}} autocomplete="off">
                  </div>
                  <div class="form-group">
                    <label for="exampleTextarea" class="form-label mt-4">Description</label>
                    <textarea class="form-control" name="description" cols="40" rows="10" required id="id_description" placeholder={{post_object.description}} rows="3"></textarea>
                  </div>
    
                  <div class="form-group">
                    <label for="exampleInputPassword1" class="form-label mt-4">Rating</label>
                    <input class="form-control" type="number" name="rating" step="any" required id="id_rating" placeholder={{post_object.rating}} autocomplete="off">
                  </div>
                    <button class="btn btn-primary"> Update Recipe </button>
              </form>
    </main>
    {%endblock%}
    <footer>
        Made with love by Scrumptious Recipes
    </footer> 
</body>
</html>
